astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Tables (`astropy.table`) »
- unique

# unique

`astropy.table.``unique`(input_table, keys=None, silent=False)

  Returns the unique rows of a table.

  Parameters:

  input_table : `Table` object or a value that

  will initialize a `~astropy.table.Table` object

  > Input table.

  keys : str or list of str

  > Name(s) of column(s) used to unique rows. Default is to use all columns.

  silent : boolean

  > If `True` masked value column(s) are silently removed from `keys`. If `False` an exception is raised when `keys` contains masked value column(s). Default is `False`.

  Returns:

  unique_table : `Table` object

  > Table containing only the unique rays of `input_table`.